# FollowTrackConstraint(Constraint)

base classes — `bpy_struct`, `Constraint`

class `bpy.types.``FollowTrackConstraint`(Constraint)

  Lock motion to the target motion track

  `camera`

    Camera to which motion is parented (if empty active scene camera is used)

    Type: | `Object`

  `clip`

    Movie Clip to get tracking data from

    Type: | `MovieClip`

  `depth_object`

    Object used to define depth in camera space by projecting onto surface of this object

    Type: | `Object`

  `frame_method`

    How the footage fits in the camera frame

    Type: | enum in [‘STRETCH’, ‘FIT’, ‘CROP’], default ‘STRETCH’

  `object`

    Movie tracking object to follow (if empty, camera object is used)

    Type: | string, default “”, (never None)

  `track`

    Movie tracking track to follow

    Type: | string, default “”, (never None)

  `use_3d_position`

    Use 3D position of track to parent to

    Type: | boolean, default False

  `use_active_clip`

    Use active clip defined in scene

    Type: | boolean, default False

  `use_undistorted_position`

    Parent to undistorted position of 2D track

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` `Constraint.name` `Constraint.type` `Constraint.owner_space` `Constraint.target_space` `Constraint.mute` `Constraint.show_expanded` | `Constraint.is_valid` `Constraint.active` `Constraint.is_proxy_local` `Constraint.influence` `Constraint.error_location` `Constraint.error_rotation`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`